document.getElementById('balance-form').addEventListener('submit', function(event) {
    event.preventDefault();
    let cano = document.getElementById('cano').value;
    let acnt_prdt_cd = document.getElementById('acnt_prdt_cd').value;

    fetch('/get_balance', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({ cano, acnt_prdt_cd })
    })
    .then(response => response.json())
    .then(data => {
        document.getElementById('balance-result').innerText = JSON.stringify(data);
    });
});

document.getElementById('backtest-form').addEventListener('submit', function(event) {
    event.preventDefault();
    let data = document.getElementById('data').value;

    fetch('/run_backtest', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({ data })
    })
    .then(response => response.json())
    .then(result => {
        document.getElementById('backtest-result').innerText = JSON.stringify(result);
    });
});

document.getElementById('run-trader-button').addEventListener('click', function() {
    fetch('/start_trader', {
        method: 'POST'
    }).then(response => {
        if (response.ok) {
            alert("Real-time trader started");
        }
    });
});

document.getElementById('email-form').addEventListener('submit', function(event) {
    event.preventDefault();
    let subject = document.getElementById('subject').value;
    let body = document.getElementById('body').value;
    let to_email = document.getElementById('to_email').value;

    fetch('/send_email', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({
            subject: subject,
            body: body,
            to_email: to_email
        })
    }).then(response => {
        if (response.ok) {
            document.getElementById('email-result').innerText = "Email sent successfully!";
        }
    });
});
