let ctx = document.getElementById('realtimeChart').getContext('2d');
let chart = new Chart(ctx, {
    type: 'line',
    data: {
        labels: [],
        datasets: [{
            label: 'Real-time Data',
            backgroundColor: 'rgba(0, 119, 204, 0.3)',
            borderColor: 'rgba(0, 119, 204, 0.6)',
            data: []
        }]
    },
    options: {
        responsive: true,
        maintainAspectRatio: false
    }
});

let ws = new WebSocket('wss://your_websocket_endpoint');
ws.onmessage = function(event) {
    let data = JSON.parse(event.data);
    let labels = chart.data.labels;
    let dataset = chart.data.datasets[0].data;

    if (labels.length > 20) {
        labels.shift();
        dataset.shift();
    }

    labels.push(data.time);
    dataset.push(data.value);

    chart.update();
};
